# <b># BowPlugin</b>

Allows you to configure velocity, accuracy, drawspeed, exp multiplier, crit chance, crit damage, bow crosshair and crosshair color of bows and crossbow weapons. Adds a new crossbow and bolt that you can craft early game.
![](https://i.ibb.co/8dxHvnH/ss4.png)
![](https://i.ibb.co/sW456qv/ss3.png)

>## ## Installation (manual)

copy `plugins` folder to your `BepInEx` folder.

>## (NOTE: DELETE \config\blacks7ar.BowPlugin.cfg when updating to 1.4.4 and let the mod generate a new one to avoid unnecessary bug.)

<br/>

>## ## Features

- Switch arrows with a press of key.
- Configurable arrow accuracy and velocity.
- Configurable Draw Speed, or can be scaled to you Bow skill level.
- Configurable Crossbow Recoil.
- Configurable Crossbow loading time, or can be scaled to you Crossbow skill level.
- Configurable exp multipliers for bows and crossbow weapons.
- New Crosshair color for more visibility
- Speed reduction while drawing bow.
- Character always faces the direction of the cursor when equipped with a bow or crossbow.
- Configurable Sneak attack bonus damage multiplier.
- Sneak skill gains exp from successful sneak attacks.
- Configurable Critical Chance and Critical Damage.
- Adds a new crossbow called Flint Crossbow that is inline with the damage of crude bow.
- Adds a new bolt that you can used early game called Flint Bolt.
- Adds new 12 bow crosshair and 7 crosshair color that you can configure while ingame no need to logout.
- Zoom and Auto Zoom while drawing a bow.
- Uses built in config watcher.
- Uses ServerSync (by blaxxun) to sync configs from server to clients.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

<br/>

>## ## Credits

- @blaxxun for the serversync and how to use it.

<br/>

>## ## Changelog
<br/>

v1.4.7
- updated to the latest bepinex build
- readjusted zoom speed calculation
- fixed zoom bug when bow skill level is 100

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.4.6
- fixed bug with trolls and other creatures that uses range attacks
- fixed some minor bugs

v1.4.5
- fixed NRE when not wielding a weapon
- fixed compatibility issue with NoUnarmedCombat
- added option to disable custom critical status effect for bows.

v1.4.4
- fixed bug while drawing the bow and in the middle of manual zooming in and you switch/hide your weapon the camera get stuck in zoomed in.
- removed zoom key from being synced and locked so players can have their own key configuration.

v1.4.3
- fixed bug while drawing the bow and in the middle of auto zooming in and you switch/hide your weapon the camera get stuck in zoomed in.
- added configuration for the zoom in key
- added support to controllers
- changed the zoom in key to a different key so the the right click button can be used back to cancel bow draw, cancel zoom in, and block
- you can now cancel bow draw / zoom in while strafing

v1.4.2
- added 12 new bow crosshairs that you can configure while ingame no need to logout.
- added 7 colors for the new crosshairs that you can configure while ingame no need to logout.
- added zoom feature which you can use using right mouse button while drawing a bow.
- added auto zoom feature which you can enable or disable.

v1.3.9
- updated to the latest valheim and bepinex builds.
- added localization

v1.3.8
- updated itemmanager and serversync
- optimized code

v1.3.7
- fixed flint bolt recipe, you should now be able craft x20 instead of just 1

v1.3.6
- change full configuration of Flint Crossbow to Recipe only to prevent unknown configs when syncing from server to client.
(NOTE: DELETE \configs\blacks7ar.BowPlugin.cfg and let the mod regenerate a new one to avoid unnecessary bugs.)

v1.3.5
- added version checks
- updated to latest valheim assemblies

v1.3.4
- Added a new crossbow and bolt that you can craft early game.

v1.3.3
- fixed minor compatibility issue with my magicplugin
- added custom vfx for crit damage just a simple one, havent yet figured out how to make a crit damage text effect

v1.3.2
- improved critical mechanic of bows/crossbows
- added critical chance and critical damage configurations
- added bowplugin statuseffect for bows/crossbow weapons.

v1.3.1
- removes velocity effect on staves to make way for my new mod MagicPlugin

v1.3.0
- fixed possible NRE at the main menu.
- fixed config live update.

v1.2.9
- fixed conflict with professions mod.

v1.2.8
- fixed errors on dedicated servers running on linux

v1.2.7
- fixed bug on stamina usage

v1.2.6
- fixed staff of embers aoe damage. nearby objects/players close to player wont take damage anymore.

v1.2.5
- added config watcher.

v1.2.4
- fixed walking bug

v1.2.3
- fixed issue with staff of protection.

v1.2.2
- added option to turn off character rotation.
- character rotation now applies to all kinds of weapons.

v1.2.1
- fixed arrow velocity

v1.2.0
- added character rotation. character now always faces the direction of your cursor if your equippped with a bow or crossbow.
- added soft dependency to my SNEAKer mod.
- added sneak attack damage multiplier.
- in every successful sneak attack, you now gain sneak skill exp.
- added critical multiplier to staggered enemies for bow and crossbow.

v1.1.3
- fixed exp scaling
- fixed exp from exceeding with skill level is at 100
- fixed arrow trajectory, its almost close to the crosshair now.. i think xD

v1.1.2
- fixed arrows going straight to things and not hitting target.

v1.1.1
- fixed crosshair visibility.
- added speed reduction while drawing a bow.

v1.1.0
- added exp multipliers for bows and crossbows.

v1.0.9
- Fix fishing rod issue, its no longer affected by velocity multiplier.
- Improves Accuracy / DrawSpeed / ReloadTime calculations.

v1.0.8
- added serversync by blaxxun

v1.0.7
- fix chat issue

v1.0.6
- added configuration for the crossbow. loading time and recoil is now configurable.

v1.0.5
- added option to change draw speed, either configured manually or can be scaled by your level.

v1.0.4
- adjusted some values, draw speed is not that slower now at the beginning and not too fast at higher levels.

v1.0.3
- removed draw speed config (draw speed now scaled by your bow skill level)

v1.0.2
- arrows no longer switch while typing in console and making pins on the map

v1.0.1
- added draw speed

v1.0.0
- first release

</details>
